package example.controller;

import example.websocket.WebsocketEndpoint;
import example.websocket.config.WebsocketConfig;
import example.websocket.factory.WebSocketFactory;

public class RunableWebSocket {

	public static void main(String[] args) throws InstantiationException, IllegalAccessException, ClassNotFoundException {
		if(WebsocketConfig.maximumClient > 1000){
			int averageSize = WebsocketConfig.maximumClient / 10;
			for(int i = 0; i < 10; i++){
				new Thread(new CreateClient(averageSize)).start();
			}
		}else{
			new Thread(new CreateClient(WebsocketConfig.maximumClient)).start();
		}
		
	}
}
